> For the complete documentation index, see [llms.txt](https://docs.xibosignage.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.xibosignage.com/scheduling/simple_scheduling.md).

# Simple Scheduling

Xibo has a variety of scheduling tools in order to deliver the right content at the right location at the right time.

All content to be shown on authorised Displays must be included in a Schedule. Displays check for new scheduled content periodically and will download any new items in advance of playback ready to be shown.

You may have a Layout created by a member of your team, in order to share an important announcement within a company, which is now Published and ready to be shown on Displays.

## How-to Video Simple Scheduling

{% embed url="<https://youtu.be/Aw-hFcs7mV4>" %}

## Creating a Schedule

* Click on **Schedule** from the main CMS menu.
* Click the **Add Event** button.

Follow the steps in the schedule wizard:

* Use the **Event Type** drop down to select the type of Event to Schedule. For this example, select **Layout**.
* Use the drop down to select the **Layout** to show, click **Next**.
* Select which **Displays** to show the Layout on.
* If you want to use the default **Always** schedule, can click **Finish** to complete.
* If you want to select alternative created **Dayparts** or **Custom** dates, select **Next**.
* With **Custom** selected, use the Relative time option to show the Layout straight away. Provide how long it should remain showing on displays by entering the hours and minutes.
* Click to **Finish** or **Next** to access further scheduling options such as **Priority, Display Order** and **Repeats**.

The CMS will now update a Schedule change and show the Layout on Displays for the specified time.

The Scheduled Event can be viewed/edited from the **Schedule Grid** and **Calendar** views.

## FAQs

***Can I create Schedules from other parts of the CMS?***

Yes, Schedule Events from the row menu for Layouts, Campaigns, Playlists and the Media grid for Images and Videos. Once a Layout has been published, it can also be Scheduled directly from the Layout Editor.

***How do I remove an Always Event from the Schedule?***

From the Schedule, use the row menu for the Event in the Grid view and select Delete, or click on the Event icon from the Calendar to open the Edit Event form and Delete.

***How can I see what will be shown on a Display at a specific point in time?***

Use Agenda to see a precise representation of what Layouts/Campaigns will be shown on a selected Display. Click on an event icon in the calendar and use the slider to pinpoint the exact time of day to view.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.xibosignage.com/scheduling/simple_scheduling.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
